Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
Class Javadoc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.javadoc.Javadoc

    class Javadoc
    extends ConventionTask

Generates Javadoc from a number of java source directories.

author:
  Hans Dockter

Constructor Summary
`Javadoc(Project project, java.lang.String name)`

Method Summary
`Javadoc` | `alwaysAppendDefaultClasspath()`
`Javadoc` | `alwaysAppendDefaultSourcepath()`
`void` | `exclude(java.lang.String exclude)`
`File` | `getClassesDir()`
`java.util.Set` | `getClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`FileCollection` | `getConfiguration()`
`File` | `getDestinationDir()` Returns the directory to generate the documentation into.
`java.util.List` | `getExclude()`
`ExistingDirsFilter` | `getExistentDirsFilter()`
`java.lang.String` | `getMaxMemory()` Returns the amount of memory allocated to this task.
`MinimalJavadocOptions` | `getOptions()`
`java.lang.String` | `getOptionsFilename()`
`java.util.List` | `getSrcDirs()` Returns the source directories containing the java source files to generate documentation for.
`java.lang.String` | `getTitle()` Returns the title for the generated documentation.
`boolean` | `isAlwaysAppendDefaultClasspath()`
`boolean` | `isAlwaysAppendDefaultSourcepath()`
`boolean` | `isFailOnError()`
`boolean` | `isVerbose()` Returns whether javadoc generation is accompanied by verbose output.
`void` | `setAlwaysAppendDefaultClasspath(boolean alwaysAppendDefaultClasspath)`
`void` | `setAlwaysAppendDefaultSourcepath(boolean alwaysAppendDefaultSourcepath)`
`void` | `setConfiguration(FileCollection configuration)`
`void` | `setDestinationDir(File destinationDir)` Sets the directory to generate the documentation into.
`void` | `setExistentDirsFilter(ExistingDirsFilter existentDirsFilter)`
`void` | `setFailOnError(boolean failOnError)`
`void` | `setJavadocExecHandleBuilder(JavadocExecHandleBuilder javadocExecHandleBuilder)`
`void` | `setMaxMemory(java.lang.String maxMemory)` Sets the amount of memory allocated to this task.
`void` | `setOptions(MinimalJavadocOptions options)`
`void` | `setOptionsFilename(java.lang.String optionsFilename)`
`void` | `setSrcDirs(java.util.List srcDirs)` Sets the source directories containing the java source files to generate documentation for.
`void` | `setTitle(java.lang.String title)` Sets the title for the generated documentation.
`void` | `setVerbose(boolean verbose)` Sets whether javadoc generation is accompanied by verbose output or not.

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### Javadoc

    public Javadoc(Project project, java.lang.String name)

Method Detail

### alwaysAppendDefaultClasspath

    public Javadoc alwaysAppendDefaultClasspath()

### alwaysAppendDefaultSourcepath

    public Javadoc alwaysAppendDefaultSourcepath()

### exclude

    public void exclude(java.lang.String exclude)

### getClassesDir

    public File getClassesDir()

### getClasspath

    public java.util.Set getClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  return:
    The classpath.

### getConfiguration

    public FileCollection getConfiguration()

### getDestinationDir

    public File getDestinationDir()

  Returns the directory to generate the documentation into.

  return:
    The directory.

### getExclude

    public java.util.List getExclude()

### getExistentDirsFilter

    public ExistingDirsFilter getExistentDirsFilter()

### getMaxMemory

    public java.lang.String getMaxMemory()

  Returns the amount of memory allocated to this task.

### getOptions

    public MinimalJavadocOptions getOptions()

### getOptionsFilename

    public java.lang.String getOptionsFilename()

### getSrcDirs

    public java.util.List getSrcDirs()

  Returns the source directories containing the java source files to generate documentation for.

  return:
    The source directories. Never returns null.

### getTitle

    public java.lang.String getTitle()

  Returns the title for the generated documentation.

  return:
    The title, possibly null.

### isAlwaysAppendDefaultClasspath

    public boolean isAlwaysAppendDefaultClasspath()

### isAlwaysAppendDefaultSourcepath

    public boolean isAlwaysAppendDefaultSourcepath()

### isFailOnError

    public boolean isFailOnError()

### isVerbose

    public boolean isVerbose()

  Returns whether javadoc generation is accompanied by verbose output.
  see:
    #setVerbose(boolean)

### setAlwaysAppendDefaultClasspath

    public void setAlwaysAppendDefaultClasspath(boolean alwaysAppendDefaultClasspath)

### setAlwaysAppendDefaultSourcepath

    public void setAlwaysAppendDefaultSourcepath(boolean alwaysAppendDefaultSourcepath)

### setConfiguration

    public void setConfiguration(FileCollection configuration)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

  Sets the directory to generate the documentation into.

### setExistentDirsFilter

    public void setExistentDirsFilter(ExistingDirsFilter existentDirsFilter)

### setFailOnError

    public void setFailOnError(boolean failOnError)

### setJavadocExecHandleBuilder

    public void setJavadocExecHandleBuilder(JavadocExecHandleBuilder javadocExecHandleBuilder)

### setMaxMemory

    public void setMaxMemory(java.lang.String maxMemory)

  Sets the amount of memory allocated to this task.
  param:
    maxMemory The amount of memory

### setOptions

    public void setOptions(MinimalJavadocOptions options)

### setOptionsFilename

    public void setOptionsFilename(java.lang.String optionsFilename)

### setSrcDirs

    public void setSrcDirs(java.util.List srcDirs)

  Sets the source directories containing the java source files to generate documentation for.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the generated documentation.

### setVerbose

    public void setVerbose(boolean verbose)

  Sets whether javadoc generation is accompanied by verbose output or not. The verbose output is done via println (by the underlying ant task). Thus it is not catched by our logging.
  param:
    verbose Whether the output should be verbose.

Groovy Documentation